<?php
@error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE);
@ini_set('display_errors', true);
@ini_set('html_errors', true);
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE);

define('DATALIFEENGINE', true);
define('ROOT_DIR', substr(dirname(__FILE__), 0, -12));
define('ENGINE_DIR', ROOT_DIR . '/engine');

include ENGINE_DIR.'/data/config.php';
include ENGINE_DIR.'/data/hdgo_options.php';

if ($config['http_home_url'] == '') {
	$config['http_home_url'] = explode('engine/ajax/hdgo.php', $_SERVER['PHP_SELF']);
	$config['http_home_url'] = reset($config['http_home_url']);
	$config['http_home_url'] = 'http://' . $_SERVER['HTTP_HOST'] . $config['http_home_url'];
}

require_once ENGINE_DIR . '/modules/functions.php';

if (function_exists("dle_session"))
	dle_session();

        if ( isset( $_POST['kpid'] ) )
        {
            $kpid = $_POST['kpid'];
		    $url = 'http://hdgo.cc/api/video.json?token=' . $hdgo_opt['api_token'] . '&kinopoisk_id=' . $kpid . '';
        }
        elseif ( isset( $_POST['title'] ) )
        {
            $title = $_POST['title'];
		    $url = 'http://hdgo.cc/api/video.json?token=' . $hdgo_opt['api_token'] . '&title=' . $title . '';
        }

		if ( $ch = curl_init( $url ) )
        {
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			$out = curl_exec($ch);
			curl_close($ch);

			if ( $out )
            {
			    $output = json_decode($out, true);
			}
            else
				echo('Error! cURL result empty');
		}
        else
			echo('Error! cURL not found');

    if ( !$output OR $output['error'] == 'videos_not_found' )
    {
        $data = "<div class=\"well relative\"><span class=\"triangle-button red\"><i class=\"icon-bell\"></i></span>По вашему запросу ничего не найдено.</div>";
    }
    else
    {
        if ( count( $output ) > 1 )
        {
            $data = "<div class=\"box\"><div class=\"box-content\"><table class=\"table table-normal table-hover\"><tbody>";
            $type = $output[0]['type'] == 'movie' ? "Фильм" : "Сериал";

            foreach ( $output as $key => $value )
            {
                $season = $value['type'] == 'serial' ? "<td style=\"vertical-align: middle\">{$value['seasons_count']} сезон {$value['episodes_count']} серия</td>" : false;
                $data .= "<tr><td style=\"vertical-align: middle\">{$type}</td><td style=\"vertical-align: middle\"><b>{$value['title']}</b></td style=\"vertical-align: middle\"><td style=\"vertical-align: middle\">{$value['quality']}</td><td style=\"vertical-align: middle\">{$value['translator']}</td>{$season}<td style=\"text-align:right\"><button class=\"btn btn-default\" style=\"height:25px;padding:0 4px 0 4px;margin-right:4px;width:100px\" type=\"button\" onclick=\"hdgo_ins('{$value['iframe_url']}')\">вставить</button><button class=\"btn btn-default\" style=\"height:25px;padding:0 4px 0 4px;width:100px\" type=\"button\"  onclick=\"hdgo_copy('{$value['iframe_url']}')\">копировать</button></td></tr>";
            }

            $data .= "</tbody></table></div></div>";
        }
        else
        {
            $data = "<div class=\"box\"><div class=\"box-content\"><table class=\"table table-normal table-hover\"><tbody>";
                $type = $output[0]['type'] == 'movie' ? "Фильм" : "Сериал";
                $season = $output[0]['type'] == 'serial' ? "<td style=\"vertical-align: middle\">{$output[0]['seasons_count']} сезон {$output[0]['episodes_count']} серия</td>" : false;
            $data .= "<tr><td style=\"vertical-align: middle\">{$type}</td><td style=\"vertical-align: middle\"><b>{$output[0]['title']}</b></td style=\"vertical-align: middle\"><td style=\"vertical-align: middle\">{$output[0]['quality']}</td><td style=\"vertical-align: middle\">{$output[0]['translator']}</td>{$season}<td style=\"text-align:right\"><button class=\"btn btn-default\" style=\"height:25px;padding:0 4px 0 4px;margin-right:4px;width:100px\" type=\"button\" onclick=\"hdgo_ins('{$output[0]['iframe_url']}')\">вставить</button><button class=\"btn btn-default\" style=\"height:25px;padding:0 4px 0 4px;width:100px\" type=\"button\"  onclick=\"hdgo_copy('{$output[0]['iframe_url']}')\">копировать</button></td></tr>";
            $data .= "</tbody></table></div></div>";
        }
    }

echo $data;