<?php

include_once ENGINE_DIR . '/data/hdgo_options.php';

$kpid = $hdgo_opt['field_kpid'];
$field_title = $hdgo_opt['title'] == 'title' ? 'title' : "xf_{$hdgo_opt['title']}";
$field_output = $hdgo_opt['field_output'];

?>

<link type="text/css" href="/engine/skins/hdgo/style.css" rel="stylesheet" />
<script type="text/javascript" src="/engine/skins/hdgo/main.js"></script>
	<div class="form-group">
		<label class="control-label col-lg-2">HDGO:</label>
			<div class="col-lg-10">
                <div id="hdgofind" class="btn btn-green" style="width: 128px">Поиск на <b>HDGO</b></div>
                <div id="hdgoresult"></div>
			</div>
	</div>

    <div style="display: none;">
        <div class="box-modal" id="HDgoModal">
            <div class="box-modal_close arcticmodal-close">x</div>
            <input type="text" id="hdgoresultmodal" style="width: 450px;" />
        </div>
    </div>

<script type="text/javascript">

		$('#hdgofind').click(function(){
			var field_kpid = "#xf_<?=$kpid?>";
            var field_title = "#<?=$field_title?>";
            var kpid = $(field_kpid).val();
            var title = $(field_title).val();

			if (kpid != undefined && kpid != "") {
				var dsnd = {kpid:kpid};
			} else {
				var dsnd = {title:title};
			}

			if (kpid == '' && title == '') {
				$("#hdgoresult").html("<div class=\"well relative\"><span class=\"triangle-button red\"><i class=\"icon-bell\"></i></span>Не заполнено поле с ИД Кинопоиска и заголовок</div>");
			} else {

				$.ajax({
				  url: "/engine/ajax/hdgo.php",
				  data: dsnd,
                  type: "POST",
				  success: function(data){
                        $("#hdgoresult").empty();
						$("#hdgoresult").append(data);

				  }
				});
			}
		});

	function hdgo_ins(url) {
		var field_output = "#xf_<?=$field_output?>";
		$(field_output).val(url);
	}

	function hdgo_copy(url) {
        $("#hdgoresultmodal").val('');
        $("#hdgoresultmodal").val(url);
        $('#HDgoModal').arcticmodal();
        $("#hdgoresultmodal").click(function() {
    		$(this).select();
    	});
	}

</script>